> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an asset for the authenticated consumer

> Uploads a new asset and attaches it to the authenticated consumer's profile. Supply asset metadata in the `asset` form field and the file content in the `file` form field.



## OpenAPI

````yaml /api-reference/integration-consumer-to-extole.json post /api/v4/me/assets
openapi: 3.0.1
info:
  description: >-
    Consumer-to-Extole integration endpoints: consumer event submission, zone
    rendering, profile management, and SDK-backing operations for browser and
    native app environments.
  title: Integration API - Consumer to Extole
  version: '1.0'
servers:
  - description: Production
    url: https://{brand}.extole.io
    variables:
      brand:
        default: yourcompany
        description: >-
          Your Extole client subdomain (e.g. 'mycompany' for
          mycompany.extole.io)
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Authentication
  - name: Content
  - name: Email
  - name: Events
  - name: Persons
  - name: Profile Assets
  - name: Profiles
paths:
  /api/v4/me/assets:
    post:
      tags:
        - Profiles
      summary: Create an asset for the authenticated consumer
      description: >-
        Uploads a new asset and attaches it to the authenticated consumer's
        profile. Supply asset metadata in the `asset` form field and the file
        content in the `file` form field.
      operationId: createAsset
      requestBody:
        content:
          multipart/form-data:
            example:
              asset:
                data_type: PRIVATE
                name: name
                tags:
                  - tag
              file:
                content: {}
                contentDisposition:
                  creationDate: '2025-10-24T09:00:00.000Z'
                  fileName: fileName
                  modificationDate: '2025-10-24T09:00:00.000Z'
                  parameters:
                    parameters_key: parameters_key
                  readDate: '2025-10-24T09:00:00.000Z'
                  size: 1
                  type: type
                entity: {}
                fileName: fileName
                formDataContentDisposition:
                  creationDate: '2025-10-24T09:00:00.000Z'
                  fileName: fileName
                  modificationDate: '2025-10-24T09:00:00.000Z'
                  name: name
                  parameters:
                    parameters_key: parameters_key
                  readDate: '2025-10-24T09:00:00.000Z'
                  size: 1
                  type: type
                headers:
                  empty: true
                  headers_key:
                    - headers_key
                mediaType:
                  parameters:
                    parameters_key: parameters_key
                  subtype: subtype
                  type: type
                  wildcardSubtype: true
                  wildcardType: true
                messageBodyWorkers: {}
                name: name
                parameterizedHeaders:
                  empty: true
                  parameterizedHeaders_key:
                    - parameters:
                        parameters_key: parameters_key
                      value: value
                parent:
                  bodyParts:
                    - contentDisposition:
                        creationDate: '2025-10-24T09:00:00.000Z'
                        fileName: fileName
                        modificationDate: '2025-10-24T09:00:00.000Z'
                        parameters:
                          parameters_key: parameters_key
                        readDate: '2025-10-24T09:00:00.000Z'
                        size: 1
                        type: type
                      entity: {}
                      headers:
                        empty: true
                        headers_key:
                          - headers_key
                      mediaType:
                        parameters:
                          parameters_key: parameters_key
                        subtype: subtype
                        type: type
                        wildcardSubtype: true
                        wildcardType: true
                      messageBodyWorkers: {}
                      parameterizedHeaders:
                        empty: true
                        parameterizedHeaders_key:
                          - parameters:
                              parameters_key: parameters_key
                            value: value
                      providers: {}
                  contentDisposition:
                    creationDate: '2025-10-24T09:00:00.000Z'
                    fileName: fileName
                    modificationDate: '2025-10-24T09:00:00.000Z'
                    parameters:
                      parameters_key: parameters_key
                    readDate: '2025-10-24T09:00:00.000Z'
                    size: 1
                    type: type
                  entity: {}
                  headers:
                    empty: true
                    headers_key:
                      - headers_key
                  mediaType:
                    parameters:
                      parameters_key: parameters_key
                    subtype: subtype
                    type: type
                    wildcardSubtype: true
                    wildcardType: true
                  messageBodyWorkers: {}
                  parameterizedHeaders:
                    empty: true
                    parameterizedHeaders_key:
                      - parameters:
                          parameters_key: parameters_key
                        value: value
                  providers: {}
                providers: {}
                simple: true
                value: value
            schema:
              properties:
                asset:
                  $ref: '#/components/schemas/AssetRequest'
                file:
                  $ref: '#/components/schemas/FormDataBodyPart'
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                asset_limit_exceeded:
                  $ref: '#/components/examples/asset_limit_exceeded'
                asset_mime_type_invalid:
                  $ref: '#/components/examples/asset_mime_type_invalid'
                asset_size_invalid:
                  $ref: '#/components/examples/asset_size_invalid'
                binding_error:
                  $ref: '#/components/examples/binding_error'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                expired_access_token:
                  $ref: '#/components/examples/expired_access_token'
                invalid_access_token:
                  $ref: '#/components/examples/invalid_access_token'
                jwt_authentication_error:
                  $ref: '#/components/examples/jwt_authentication_error'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    AssetRequest:
      properties:
        data_type:
          enum:
            - PRIVATE
            - PUBLIC
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        tags:
          items:
            type: string
          nullable: true
          type: array
      required:
        - data_type
        - name
        - tags
      type: object
    FormDataBodyPart:
      properties:
        content:
          type: object
        contentDisposition:
          $ref: '#/components/schemas/ContentDisposition'
        entity:
          type: object
        fileName:
          type: string
        formDataContentDisposition:
          $ref: '#/components/schemas/FormDataContentDisposition'
        headers:
          additionalProperties:
            items:
              type: string
            type: array
          properties:
            empty:
              type: boolean
          type: object
        mediaType:
          $ref: '#/components/schemas/MediaType'
        messageBodyWorkers:
          $ref: '#/components/schemas/MessageBodyWorkers'
        name:
          type: string
        parameterizedHeaders:
          additionalProperties:
            items:
              $ref: '#/components/schemas/ParameterizedHeader'
            type: array
          properties:
            empty:
              type: boolean
          type: object
        parent:
          $ref: '#/components/schemas/MultiPart'
        providers:
          $ref: '#/components/schemas/Providers'
        simple:
          type: boolean
        value:
          type: string
      type: object
    AssetResponse:
      properties:
        data_type:
          enum:
            - PRIVATE
            - PUBLIC
          type: string
        filename:
          type: string
        id:
          readOnly: true
          type: string
        mime_type:
          type: string
        name:
          type: string
        status:
          enum:
            - APPROVED
            - DENIED
            - PENDING_REVIEW
          type: string
        tags:
          items:
            type: string
          type: array
      required:
        - data_type
        - filename
        - id
        - mime_type
        - name
        - status
        - tags
      type: object
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    ContentDisposition:
      properties:
        creationDate:
          format: date-time
          type: string
        fileName:
          type: string
        modificationDate:
          format: date-time
          type: string
        parameters:
          additionalProperties:
            type: string
          type: object
        readDate:
          format: date-time
          type: string
        size:
          format: int64
          type: integer
        type:
          type: string
      type: object
    FormDataContentDisposition:
      properties:
        creationDate:
          format: date-time
          type: string
        fileName:
          type: string
        modificationDate:
          format: date-time
          type: string
        name:
          type: string
        parameters:
          additionalProperties:
            type: string
          type: object
        readDate:
          format: date-time
          type: string
        size:
          format: int64
          type: integer
        type:
          type: string
      type: object
    MediaType:
      properties:
        parameters:
          additionalProperties:
            type: string
          type: object
        subtype:
          type: string
        type:
          type: string
        wildcardSubtype:
          type: boolean
        wildcardType:
          type: boolean
      type: object
    MessageBodyWorkers:
      type: object
    ParameterizedHeader:
      properties:
        parameters:
          additionalProperties:
            type: string
          type: object
        value:
          type: string
      type: object
    MultiPart:
      properties:
        bodyParts:
          items:
            $ref: '#/components/schemas/BodyPart'
          type: array
        contentDisposition:
          $ref: '#/components/schemas/ContentDisposition'
        entity:
          type: object
        headers:
          additionalProperties:
            items:
              type: string
            type: array
          properties:
            empty:
              type: boolean
          type: object
        mediaType:
          $ref: '#/components/schemas/MediaType'
        messageBodyWorkers:
          $ref: '#/components/schemas/MessageBodyWorkers'
        parameterizedHeaders:
          additionalProperties:
            items:
              $ref: '#/components/schemas/ParameterizedHeader'
            type: array
          properties:
            empty:
              type: boolean
          type: object
        parent:
          $ref: '#/components/schemas/MultiPart'
        providers:
          $ref: '#/components/schemas/Providers'
      type: object
    Providers:
      type: object
    BodyPart:
      properties:
        contentDisposition:
          $ref: '#/components/schemas/ContentDisposition'
        entity:
          type: object
        headers:
          additionalProperties:
            items:
              type: string
            type: array
          properties:
            empty:
              type: boolean
          type: object
        mediaType:
          $ref: '#/components/schemas/MediaType'
        messageBodyWorkers:
          $ref: '#/components/schemas/MessageBodyWorkers'
        parameterizedHeaders:
          additionalProperties:
            items:
              $ref: '#/components/schemas/ParameterizedHeader'
            type: array
          properties:
            empty:
              type: boolean
          type: object
        parent:
          $ref: '#/components/schemas/MultiPart'
        providers:
          $ref: '#/components/schemas/Providers'
      type: object
  examples:
    asset_limit_exceeded:
      summary: asset_limit_exceeded
      value:
        code: asset_limit_exceeded
        http_status_code: 400
        message: The number of assets exceeds the limit
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    asset_mime_type_invalid:
      summary: asset_mime_type_invalid
      value:
        code: asset_mime_type_invalid
        http_status_code: 400
        message: The supplied asset has an invalid mime type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    asset_size_invalid:
      summary: asset_size_invalid
      value:
        code: asset_size_invalid
        http_status_code: 400
        message: The supplied asset has an invalid size
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    expired_access_token:
      summary: expired_access_token
      value:
        code: expired_access_token
        http_status_code: 403
        message: The access_token provided with this request has expired.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_access_token:
      summary: invalid_access_token
      value:
        code: invalid_access_token
        http_status_code: 403
        message: The access_token provided with this request is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    jwt_authentication_error:
      summary: jwt_authentication_error
      value:
        code: jwt_authentication_error
        http_status_code: 403
        message: The jwt authentication failed.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````